<?php
/**
 * Template part for displaying post in post listing.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package     Business Interface
 * @author      WPInterface Team
 * @since       1.0.0
 */

?>

<?php do_action( 'business_interface_before_article' ); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'business-interface-article' ); ?><?php business_interface_schema_markup( 'article' ); ?>>

	<?php
	$business_interface_blog_entry_format = get_post_format();

	if ( 'quote' === $business_interface_blog_entry_format ) {
		get_template_part( 'template-parts/entry/format/media', $business_interface_blog_entry_format );
	} else {

		$business_interface_blog_entry_elements = business_interface_get_blog_entry_elements();

		if ( ! empty( $business_interface_blog_entry_elements ) ) {
			foreach ( $business_interface_blog_entry_elements as $business_interface_element ) {
				get_template_part( 'template-parts/entry/entry', $business_interface_element );
			}
		}
	}
	?>

</article><!-- #post-<?php the_ID(); ?> -->

<?php do_action( 'business_interface_after_article' ); ?>
